Bug 25144 - Callnumber browser is broken
Summary: Callnumber browser is broken
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 18499
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-14 17:09 UTC by Nick Clemens
Modified: 2020-04-17 15:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.10


Attachments
Bug 25144: [19.05.x only] Remove subtitle from query (1.45 KB, patch)
2020-04-15 17:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25144: [19.05.x only] Remove subtitle from query (1.51 KB, patch)
2020-04-15 18:33 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25144: [19.05.x only] Remove subtitle from query (1.58 KB, patch)
2020-04-16 10:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-14 17:09:20 UTC
The SQL in cn_browser.pl refers to biblio.subtitle - this field has been removed

The callnumber browser is broken in master and stable
Comment 1 Katrin Fischer 2020-04-14 17:32:17 UTC
Why would it have been removed? Or do you mean moved from keyword-to-marc-mapping to the new column?
Comment 2 Nick Clemens 2020-04-14 17:37:21 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2020-04-14 17:53:11 UTC
I had it the wrong way :-) 18499 expects the biblio.subtitle field which doesn't exist in stable, master should be okay
Comment 4 Nick Clemens 2020-04-15 17:55:12 UTC
Created attachment 103030 [details] [review]
Bug 25144: [19.05.x only] Remove subtitle from query
Comment 5 Lucas Gass 2020-04-15 18:33:00 UTC
Created attachment 103032 [details] [review]
Bug 25144: [19.05.x only] Remove subtitle from query

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Jonathan Druart 2020-04-16 10:22:56 UTC
Created attachment 103068 [details] [review]
Bug 25144: [19.05.x only] Remove subtitle from query

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Lucas Gass 2020-04-16 14:32:39 UTC
backported to 19.05.x for 19.05.10